Ethereal Trouble

Discussion in 'Installation/Configuration' started by mcrosby, Jun 5, 2006.

  1. mcrosby

    mcrosby New Member

    hi i am having trouble installing a customized version of ethereal that my company uses. We install it no problem on some of our laptops running Redhat but i am trying to install it on two of our new servers and i am having trouble. I first had trouble because the versions of gtk and glib were not correct and i eventually fixed that problem and now the install configures correctly. Here are the results of the configure.


    So everything seems to be configured correctly? I then try and perform the make. The make runs but there are several errors during the procedure. Here is the make out put.



    Can anyone help me as i need this installed asap. I also forgot to mention that the base installation of ethereal that comes with the package installed no problem.
     
  2. falko

    falko Super Moderator

    Which distribution do you use?

    Don't the extensions come as packages, too?
     
  3. mcrosby

    mcrosby New Member

    well my linux box is using Redhat Enterprise Linux ES release 4...i am not sure of the version of ethereal my boss just told me he needs the customized version because it has extra tools that they need that the regular copy does not
     
  4. falko

    falko Super Moderator

    You can search for RH ethereal packages with
    Code:
    yum search ethereal
     
  5. mcrosby

    mcrosby New Member

    hmm no such luck with that command nor do I think i would find the version i need. Can you see the problem in what happened with my make?
     
  6. falko

    falko Super Moderator

    I don't know where the error during make comes from.
    Never seen that before, and a little too cryptic. :(
     
  7. geek.de.nz

    geek.de.nz New Member

    Ethereal Ubuntu 5.10 with custom kernel

    This is a different problem, but the title suits.

    I've installed ethereal on my Ubuntu 5.10 (I know it's old now) which has a "custom" (vanilla) kernel with hibernate (suspend2) support.

    I did the following:
    Code:
    apt-get install ethereal
    apt-get install tethereal
    
    and tried to execute ethereal with
    Code:
    user:~$ sudo ethereal
    # and
    root@host:~# tethereal
    
    but both didn't work, giving the error:
    Code:
    Could not set capabilities: Operation not permitted
    
    However, if I execute ethereal as a normal user, it starts up, but I cannot listen to traffic because I don't have enough rights.
    How can I make it work? Does it depend on the kernel? Should I install the sources or is it a different problem?
     
  8. falko

    falko Super Moderator

  9. geek.de.nz

    geek.de.nz New Member

    Thanks, that did the trick. :) Why didn't I find that.
     

Share This Page